## Class conversion_error

boost::log::conversion_error — Exception class that is used to indicate conversion errors.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class conversion_error : public runtime_error {
    public:
      // construct/copy/destruct
      conversion_error();
      explicit conversion_error(std::string const &);
      ~conversion_error();
    };

## Description

### `conversion_error` public construct/copy/destruct

1.     conversion_error();

   Default constructor. Creates an exception with the default error message.

2.     explicit conversion_error(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~conversion_error();

   Destructor